# $Revision: 1.44 $, $Date: 2009/05/03 20:47:34 $
Summary:	A light Linux download accelerator
Summary(pl.UTF-8):	Niewielki dopalacz ściągania plików
Name:		axel
Version:	2.3
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	http://alioth.debian.org/frs/download.php/2717/%{name}-%{version}.tar.gz
# Source0-md5:	6f49813ffc1dd10829d74b73712cb5ed
Patch0:		%{name}-etc_dir.patch
URL:		http://axel.alioth.debian.org/
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program downloads a file from a FTP/HTTP through multiple
connections, managed by one single thread, storing all the data to one
file. This is because I think it's more efficient.

%description -l pl.UTF-8
Ten program ściąga pliki przez FTP/HTTP korzystając w wielu
równoczesnych połączeń, zarządzanych przez pojedynczy wątek, zapisując
wszystkie dane w jednym pliku. Dlatego powinien być bardzo efektywny.

%prep
%setup  -q
%patch0 -p1

%build
# it doesn't use autoconf
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--etcdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--locale=%{_datadir}/locale \
	--i18n=1

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_mandir},%{_datadir}/locale}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
	
mv $RPM_BUILD_ROOT/usr/share/locale/zh_{cn,CN}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(zh_CN) %{_mandir}/zh_CN/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: axel.spec,v $
Revision 1.44  2009/05/03 20:47:34  areq
- s/zh_cn/zh_CN/

Revision 1.43  2009/03/20 21:38:59  arvenil
- removed unused makefile patch

Revision 1.42  2009/03/20 21:29:01  arvenil
- correct source url

Revision 1.41  2009/03/20 21:28:12  arvenil
- up to 2.3
- new URL (new maintainer)

Revision 1.40  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.38  2005/06/06 13:57:18  zbyniu
- BR: gettext-devel

Revision 1.37  2005/04/29 09:15:12  qboosh
- omit default attr, quote CC

Revision 1.36  2005/04/29 08:53:36  glen
- world readable global config; rel 2; STBR

Revision 1.35  2005/04/07 05:40:44  paszczus
- updated to 1.0b (fixes a remotely exploitable buffer overflow in the HTTP redirection handling)
- STBR

Revision 1.34  2005/02/08 12:39:38  paszczus
- updated Source0 URL
- updated URL

Revision 1.33  2004/08/10 18:53:26  averne
- rel 4

Revision 1.32  2003/08/28 08:38:50  ankry
- s/An/A/

Revision 1.31  2003/08/27 18:26:32  misi3k
- cosmetics

Revision 1.30  2003/08/06 16:32:23  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.29  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.28  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:45:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.25  2003/03/23 17:13:11  juandon
- added home_etc.patch
- Release 3

Revision 1.24  2002/12/23 14:07:39  qboosh
- added URL

Revision 1.23  2002/09/06 19:27:49  kloczek
- relase 2: use new %doc.

Revision 1.22  2002/04/25 15:51:03  arturs
fixed a small typo

Revision 1.21  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/20 17:14:14  filon
- updated to 1.0a
- added localization
- new buid and install sections

Revision 1.18  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/10 14:11:51  areq
- 0.99a,STBR

Revision 1.16  2001/11/06 10:42:44  kloczek
- remove opt patch and add Makefile patch which removes bogus astripping in
  makefile and adds using $(CC) instead directly gcc.

Revision 1.15  2001/11/03 20:24:18  areq
- 0.98, STBR

Revision 1.14  2001/10/25 08:28:11  kloczek
- adapterized.

Revision 1.13  2001/10/25 08:26:20  mkierus
- updated to 0.97

Revision 1.12  2001/08/14 18:26:18  areq
- 0.96, STBR

Revision 1.11  2001/08/12 20:34:23  kloczek
- removed some %%{__*} macros.

Revision 1.10  2001/08/12 20:30:43  areq
- 0.95, STBR

Revision 1.9  2001/07/21 13:33:36  migo
- added pl summary and/or description

Revision 1.8  2001/06/27 13:51:19  kloczek
- pass %%{rpmcflags} in CFLAGS.

Revision 1.7  2001/06/27 11:31:59  areq
- 0.94

Revision 1.6  2001/05/24 16:29:55  areq
- 0.93, STBR

Revision 1.5  2001/05/12 09:32:45  areq
- 0.92, STBR

Revision 1.4  2001/05/08 13:14:31  mis
- fixed file list

Revision 1.3  2001/05/06 09:23:15  areq
- fix Summary

Revision 1.2  2001/05/05 18:25:17  kloczek
- cosmetics and simplifications.

Revision 1.1  2001/05/05 17:43:47  areq
- initial pld release
